Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.taglib
Class SimpleMenu

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.meshcms.taglib.AbstractTag
              org.meshcms.taglib.SimpleMenu

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, com.opensymphony.module.sitemesh.RequestConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public final class SimpleMenu
extends AbstractTag

Creates a simple navigation menu.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.meshcms.taglib.AbstractTag
`PAGE_MODULES, PARAM_REGEX`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, FILTER_APPLIED, PAGE, ROBOT, USING_STREAM`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SimpleMenu()`

Method Summary
`boolean` | `getAllowHiding()`
`java.lang.String` | `getBullet()`
`java.lang.String` | `getExpand()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getSpace()`
`java.lang.String` | `getStyle()`
`void` | `setAllowHiding(boolean allowHiding)`
`void` | `setBullet(java.lang.String bullet)`
`void` | `setExpand(java.lang.String expand)`
`void` | `setPath(java.lang.String path)`
`void` | `setSpace(java.lang.String space)`
`void` | `setStyle(java.lang.String style)`
`void` | `writeTag()` Writes the contents of the tag.

Methods inherited from class org.meshcms.taglib.AbstractTag
`doStartTag, getHead, getMailFormAddress, getOut, getPage, getStartTagReturnValue, writeEditTag`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMenu

    public SimpleMenu()

Method Detail

### setPath

    public void setPath(java.lang.String path)

### setBullet

    public void setBullet(java.lang.String bullet)

### setStyle

    public void setStyle(java.lang.String style)

### writeTag

    public void writeTag()
                  throws java.io.IOException

  Description copied from class: `AbstractTag`
  Writes the contents of the tag. Subclasses will use this method to write to the page.

  Specified by:
    `writeTag` in class `AbstractTag`
  Throws:
    `java.io.IOException`

### getPath

    public java.lang.String getPath()

### getSpace

    public java.lang.String getSpace()

### setSpace

    public void setSpace(java.lang.String space)

### getBullet

    public java.lang.String getBullet()

### getStyle

    public java.lang.String getStyle()

### getExpand

    public java.lang.String getExpand()

### setExpand

    public void setExpand(java.lang.String expand)

### getAllowHiding

    public boolean getAllowHiding()

### setAllowHiding

    public void setAllowHiding(boolean allowHiding)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD